<?php 
defined('BASEPATH') OR exit('No direct script access allowed');
header('Access-Control-Allow-Origin: *');

class Vehiculos extends CI_Controller
{
    public function __construct()
    {
        parent::__construct();
    
        //cargar la base de datos
        $this->load->database();
        //parser de json y xml
        $this->load->library("parser");

        //$this->load->model('Sesion_Model');
        $this->load->library('form_validation');
        //$this->load->library("Form_validation");
        $this->load->helper("url");
        $this->load->helper('form');
        $this->load->helper('text');
        
        //Cargando los modelos para gestion de la data sistema pena
        $this->load->model('Vehiculos_Model');
        
    }
    
    //Listar Vehiculos
    public function listVehiculos($offset = 0)
    {
        if ($this->session->userdata('iduser')=='') {
            redirect(base_url().'/admin');
        }

		//Cargar Modelo
        $this->load->model('Vehiculos_Model');
        $this->load->model('Tipos_Model');
        
        //Configurndo el array para consulta de Marcas
		$dato = array('2','null','null','null','null','null','null','null','null'); 
        $marcas = $this->Vehiculos_Model->getVehiculosMarca(null,null,$dato);
		
		// //Configurndo el array para consulta de Placa
        // $datop = array('2','null','null','null'); 
        // $placa = $this->Vehiculos_Model->getVehiculosforParameter(null,null,$datop);

		//Configurndo el array para consulta de Color
        $datoc = array('3','null','null','null','null','null','null','null','null'); 
        $color = $this->Vehiculos_Model->getVehiculosforParameter(null,null,$datoc);

        //Configurndo el array para consulta clase de matricula
        $datocm = array('1','null','null'); 
        $clasematricula = $this->Tipos_Model->getClaseOcupacion($datocm);

		// //Configurndo el array para consulta de Tipo
        // $datot = array('5','null','null','null'); 
        // $tipo = $this->Vehiculos_Model->getVehiculosforParameter(null,null,$datot);
       
		//envio el arreglo
		$data['marcas'] = $marcas;
        // $data['placa']  = $placa;
        $data['color']  = $color;
        $data['clasematricula'] = $clasematricula;
        // $data['tipo']   = $tipo;

		//Cargar los permisos
        $this->load->model('Security_Model');
        $profile = $this->session->userdata('profile');
        $modulo  = "all";
        $datos   = array('1', $profile, $modulo); 
		$permiso = $this->Security_Model->getAllSecurityProfile($datos);
        $data['permisos'] = $permiso;
     	
		$this->load->view('admin/Vehiculos/list', $data);
        
    }

	//Buscar permisos por parametro
    public function searchVehiculos($offset = 0)
    {
        if ($this->session->userdata('iduser')=='') {
            redirect(base_url().'/admin');
        }

		//Cargar Modelo
        $this->load->model('Vehiculos_Model');

        //capturar datos
        $Opcion           = $this->input->post('Opcion')==''?'null':$this->input->post('Opcion');
        $IdVehiculo       = $this->input->post('IdVehiculo')==''?'null':$this->input->post('IdVehiculo');
        $Placa            = $this->input->post('Placa') == ''?'null':$this->input->post('Placa');
        $IdClaseMatricula = $this->input->post('Tipo')==''?'null':$this->input->post('Tipo');
        $Marca            = $this->input->post('Marca')==''?'null':$this->input->post('Marca');
        $Ident            = $this->input->post('Ident')==''?'null':$this->input->post('Ident');
        
        if($Placa != 'null'){
            $Placa = "'".strval($Placa)."'";
        }

		//validar Identidad
		if($Ident != 'null')
		{
			//Configurndo el array para consulta de Vehiculos
			$data = array($Opcion,$Ident); 
			$query = $this->Vehiculos_Model->getVehIdentificacion(null,null,$data);
          
		}else{
        	//Configurndo el array para consulta de Vehiculos
        	// $data = array($Opcion, $Placa, $Tipo, $Marca); 
        	$data = array($Opcion, $IdVehiculo, $Placa,$Marca,'null','null','null','null',$IdClaseMatricula); 
        	$query = $this->Vehiculos_Model->getVehiculosforParameter(null,null,$data);
		}

        //retornar los valores
        echo json_encode($query);
        
    }

    //Buscar permisos por parametro
    public function searchVehiculosHuesped($offset = 0)
    {
        if ($this->session->userdata('iduser')=='') {
            redirect(base_url().'/admin');
        }

		//Cargar Modelo
        $this->load->model('Vehiculos_Model');

        //capturar datos
        $Opcion         = $this->input->post('Opcion')==''?'null':$this->input->post('Opcion');
        $IdVehiculo     = $this->input->post('IdVehiculo')==''?'null':$this->input->post('IdVehiculo');
        $Placa          = "'".strval($this->input->post('Placa') == ''?'null':$this->input->post('Placa'))."'";
        $Tipo           = $this->input->post('Tipo')==''?'null':$this->input->post('Tipo');
        $Marca          = $this->input->post('Marca')==''?'null':$this->input->post('Marca');
        $Identificacion = $this->input->post('Ident')==''?'null':$this->input->post('Ident');

		$data = array($Opcion, $IdVehiculo, 'null','null','null',$Identificacion,'null','null','null'); 
        $query = $this->Vehiculos_Model->getVehiculosforParameter(null,null,$data);
        

        //retornar los valores
        echo json_encode($query);
        
    }

	//Crear Vehiculos
    public function insertVehiculos()
    {     
        if ($this->session->userdata('iduser')=='') {
            redirect(base_url().'/admin');
        } 

        date_default_timezone_set("America/Bogota");
        setlocale(LC_ALL,"es_CO");

        $meses = array("01","02","03","04","05","06","07","08","09","10","11","12");
        $Date = (date('Y')."-".$meses[date('n')-1]."-".date('d'));  
        $Time = (date('H').":".date('i').":".date('s'));  

		//Cargar Modal
        $this->load->model('Vehiculos_Model');
        $this->load->model('Huespedes_Model');
        $this->load->model('Bitacora_Model');
        
        //Solo los datos validos  
		$Placa          = "'".strval($this->input->post('Placa')==''?false:$this->input->post('Placa'))."'";
		$ClaseMat       = $this->input->post('ClaseMat')==''?false:$this->input->post('ClaseMat');
		$Marca          = "'".strval($this->input->post('Marca')==''?false:$this->input->post('Marca'))."'";
		$Color          = "'".strval($this->input->post('Color')==''?false:$this->input->post('Color'))."'";
		$Modelo         = $this->input->post('Modelo')==''?false:$this->input->post('Modelo');
		$Tipo           = $this->input->post('Tipo')==''?false:$this->input->post('Tipo');
		$Empresa        = "'".strval($this->input->post('Empresa')==''?false:$this->input->post('Empresa'))."'";
		$Nit            = "'".strval($this->input->post('Nit')==''?false:$this->input->post('Nit'))."'";
        $HuespedId      = $this->input->post('HuespedId')==''?false:$this->input->post('HuespedId');
        $IdReserva      = $this->input->post('IdReserva')==''?false:$this->input->post('IdReserva');
        if ($IdReserva == ''){
            $IdReserva = 0;
        } else {
            $IdReserva      = $this->input->post('IdReserva')==''?false:$this->input->post('IdReserva');
        }
  
		$IdUsuario      = $this->session->userdata('iduser');

		//obtener id de marca
		$datom = array('6','null','null',$Marca,'null','null','null','null','null'); 
		$marcaveh = $this->Vehiculos_Model->getVehiculosMarca(null,null,$datom);
			foreach($marcaveh as $k1){
				$MarcaId = $k1['IdMarca'];
			}

		//obtener id de Color
		$datoc = array('7','null','null','null',$Color,'null','null','null','null'); 
		$colorveh = $this->Vehiculos_Model->getVehiculosColor(null,null,$datoc);
			foreach($colorveh as $k1){
				$ColorId = $k1['IdColor'];
			}

		//Armar Arreglo
		$data = array(
			'Placa'     => $Placa, 
			'ClaseMat'  => $ClaseMat,
			'IdMarca'   => $MarcaId, 
			'IdColor'   => $ColorId,
			'IdTipo'    => $Tipo,
			'Modelo'    => $Modelo,
			'Empresa'   => $Empresa,
			'Nit'       => $Nit
		);
       
		//Arreglo Bitacora
		$datob = array( 
			'IdEvento ' => '33', 
            'Fecha'     => $Date,
            'Hora'      => $Time, 
            'IdUsuario' => $IdUsuario
		);

		//validar si existe el registro en la base de datos
		$resultado = $this->Vehiculos_Model->saveVehiculos($data);
		
		//Recuperar ultimo id Guardado
		$query = $this->db->query("SELECT MAX(IdVehiculo) AS Max from vehiculos");
		$rta = $query->result();
		$VehiculoId=($rta[0]->Max);

		//Arreglo Huesped - Vehiculo
		$datahd = array( 
			'IdVehiculo' => $VehiculoId,
			'IdHuesped'  => $HuespedId,
            'IdReserva'  => $IdReserva
		);

		if($resultado)
		{   
            
            $this->Vehiculos_Model->SaveVehPorHuesped($datahd);
            // $this->Vehiculos_Model->updateVehiculoReserva($datavr);
			// $this->Huespedes_Model->updateHuespedes($datahd);
			$this->Bitacora_Model->saveBitacora($datob);
			print_r(json_encode(array("res"=>"ok","msg"=>"Vehículo creado satisfactoriamente","id"=>$VehiculoId)));
				
		}else{
			
			print_r(json_encode(array("res"=>"bad","msg"=>"Vehículo no se puede crear")));
				
		}    
		
    }

	//Crear Vehiculos ok
    public function updateVehiculos()
    {     
        if ($this->session->userdata('iduser')=='') {
            redirect(base_url().'/admin');
        } 

        date_default_timezone_set("America/Bogota");
        setlocale(LC_ALL,"es_CO");

        $meses = array("01","02","03","04","05","06","07","08","09","10","11","12");
        $Date = (date('Y')."-".$meses[date('n')-1]."-".date('d'));  
        $Time = (date('H').":".date('i').":".date('s'));  

		//Cargar Modal
        $this->load->model('Vehiculos_Model');
        $this->load->model('Huespedes_Model');
        $this->load->model('Bitacora_Model');
        
        //Solo los datos validos  
		$VehiculoId     = $this->input->post('VehiculoId')==''?false:$this->input->post('VehiculoId');
		$Placa          = "'".strval($this->input->post('Placa')==''?false:$this->input->post('Placa'))."'";
		$ClaseMat       = $this->input->post('ClaseMat')==''?false:$this->input->post('ClaseMat');
		$Marca          = $this->input->post('Marca')==''?false:$this->input->post('Marca');
		$Color          = "'".strval($this->input->post('Color')==''?false:$this->input->post('Color'))."'";
		$Modelo         = $this->input->post('Modelo')==''?false:$this->input->post('Modelo');
		$Tipo           = $this->input->post('Tipo')==''?false:$this->input->post('Tipo');
		$Empresa        = "'".strval($this->input->post('Empresa')==''?false:$this->input->post('Empresa'))."'";
		$Nit            = $this->input->post('Nit')==''?false:$this->input->post('Nit');
        $HuespedId      = $this->input->post('HuespedId')==''?false:$this->input->post('HuespedId');
        $Identificacion = $this->input->post('Identificacion')==''?false:$this->input->post('Identificacion');
        $Nombres        = $this->input->post('Nombres')==''?false:$this->input->post('Nombres');
        $Apellidos      = $this->input->post('Apellidos')==''?false:$this->input->post('Apellidos');
        $IdTipoDoc      = $this->input->post('IdTipoDoc')==''?false:$this->input->post('IdTipoDoc');
        $IdReserva      = $this->input->post('IdReserva')==''?false:$this->input->post('IdReserva');
  
		$IdUsuario = $this->session->userdata('iduser');

		//obtener id de marca
		$datom = array('6','null','null',$Marca,'null','null','null','null','null'); 
		$marcaveh = $this->Vehiculos_Model->getVehiculosMarca(null,null,$datom);
			foreach($marcaveh as $k1){
				$MarcaId = $k1['IdMarca'];
			}

		//obtener id de Color
		$datoc = array('7','null','null','null',$Color,'null','null','null','null'); 
		$colorveh = $this->Vehiculos_Model->getVehiculosColor(null,null,$datoc);
			foreach($colorveh as $k1){
				$ColorId = $k1['IdColor'];
			}

        $datovh = array('1',$VehiculoId,$HuespedId,'null','null'); 
        $vehue = $this->Vehiculos_Model->getVehiculosHuesped($datovh);
        
		//Arreglo Principal
		$data = array(
			'IdVehiculo'=> $VehiculoId, 
			'Placa'     => $Placa, 
			'ClaseMat'  => $ClaseMat,
			'IdMarca'   => $MarcaId, 
			'IdColor'   => $ColorId,
			'IdTipo'    => $Tipo,
			'Modelo'    => $Modelo,
			'Empresa'   => $Empresa,
			'Nit'       => $Nit
		);
       
		//Arreglo Bitacora
		$datob = array( 
			'IdEvento ' => '34', 
            'Fecha'     => $Date,
            'Hora'      => $Time, 
            'IdUsuario' => $IdUsuario
		);
		
		//Arreglo Huesped - Vehiculo
		$datav = array( 
            'Opcion'     => '4',
			'IdVehiculo' => $VehiculoId,
			'IdHuesped'  => $HuespedId,
            'IdReserva'  => $IdReserva
		);

        //Arreglo Huesped - Vehiculo
		$datahd = array( 
			'IdVehiculo' => $VehiculoId,
			'IdHuesped'  => $HuespedId,
            'IdReserva'  => $IdReserva
		);
        // //Arreglo Vehiculo - Reserva
		// $datavr = array( 
            // 	'IdVehiculo' => $VehiculoId,
            // 	'IdReserva'  => $IdReserva
            // );
            
            $resultado = $this->Vehiculos_Model->updateVehiculos($data);
            
		
		if($resultado)
        {   
            if(!empty($vehue))
            {
                $this->Vehiculos_Model->updateVehiculoReserva($datav);
            }else{
                $this->Vehiculos_Model->SaveVehPorHuesped($datahd);
            }    
            
            $this->Bitacora_Model->saveBitacora($datob);
            print_r(json_encode(array("res"=>"ok","msg"=>"Vehículo actualizado satisfactoriamente")));
             
        }else{
            
            print_r(json_encode(array("res"=>"bad","msg"=>"Vehículo no existe")));
             
        }

    }

	//Buscar colores si
    public function searchColores($offset = 0)
    {
        if ($this->session->userdata('iduser')=='') {
            redirect(base_url().'/admin');
        }

		//Cargar Modelo
        $this->load->model('Vehiculos_Model');

        //capturar datos
        $Opcion  = $this->input->post('Opcion')==''?'null':$this->input->post('Opcion');
        $IdColor = $this->input->post('IdColor')== ''?'null':$this->input->post('IdColor');
        $Color   = $this->input->post('Color')==''?'null':$this->input->post('Color');
        
        if($Color != 'null'){
            $Color = "'".strval($Color)."'";
        }
            
       	//Configurndo el array para consulta de Vehiculos
       	$data = array($Opcion,'null','null','null',$Color,'null','null',$IdColor,'null'); 
       	$query = $this->Vehiculos_Model->getVehiculosColor(null,null,$data);

        //retornar los valores
        echo json_encode($query);
        
    }

    //Buscar si el codigoMT del color existe
    public function searchCodigoMTColor($offset = 0)
    {
        if ($this->session->userdata('iduser')=='') {
            redirect(base_url().'/admin');
        }

		//Cargar Modelo
        $this->load->model('Vehiculos_Model');

        //capturar datos
        $Opcion  = $this->input->post('Opcion')==''?'null':$this->input->post('Opcion');
        $CodigoMT = $this->input->post('CodigoMT')== ''?'null':$this->input->post('CodigoMT');
            
       	//Configurndo el array para consulta de Vehiculos
       	$data = array($Opcion,'null','null',$CodigoMT,'null'); 
       	$query = $this->Vehiculos_Model->getCodigoMTColor(null,null,$data);

        //retornar los valores
        echo json_encode($query);
        
    }

    //Buscar si el codigoMT del color existe
    public function searchCodigoMTMarca($offset = 0)
    {
        if ($this->session->userdata('iduser')=='') {
            redirect(base_url().'/admin');
        }

		//Cargar Modelo
        $this->load->model('Vehiculos_Model');

        //capturar datos
        $Opcion  = $this->input->post('Opcion')==''?'null':$this->input->post('Opcion');
        $CodigoMT = $this->input->post('CodigoMT')== ''?'null':$this->input->post('CodigoMT');
            
       	//Configurndo el array para consulta de Vehiculos
       	$data = array($Opcion,'null','null',$CodigoMT,'null'); 
       	$query = $this->Vehiculos_Model->getCodigoMTMarca(null,null,$data);

        //retornar los valores
        echo json_encode($query);
        
    }

	//Crear colores si 
    public function insertColores()
    {     
        if ($this->session->userdata('iduser')=='') {
            redirect(base_url().'/admin');
        } 

        date_default_timezone_set("America/Bogota");
        setlocale(LC_ALL,"es_CO");

        $meses = array("01","02","03","04","05","06","07","08","09","10","11","12");
        $Date = (date('Y')."-".$meses[date('n')-1]."-".date('d'));  
        $Time = (date('H').":".date('i').":".date('s'));  

		//Cargar Modal
        $this->load->model('Vehiculos_Model');
        $this->load->model('Bitacora_Model');
        
        //Solo los datos validos  
		$Opcion      = $this->input->post('Opcion')==''?null:$this->input->post('Opcion');
		$NombreColor = "'".strval($this->input->post('Color')==''?null:$this->input->post('Color'))."'";
		$CodigoMT    = "'".strval($this->input->post('CodigoC')==''?null:$this->input->post('CodigoC'))."'";
		$IdEstado    = $this->input->post('EstadoC')==''?null:$this->input->post('EstadoC');
		
		$IdUsuario = $this->session->userdata('iduser');

		//Armar Arreglo
		$data = array('Opcion'      => $Opcion, 
            		  'NombreColor' => $NombreColor, 
					  'CodigoMT'    => $CodigoMT, 
					  'IdEstado'    => $IdEstado);

		//Arreglo Bitacora
		$datob = array( 
			'IdEvento ' => '35', 
            'Fecha'     => $Date,
            'Hora'      => $Time, 
            'IdUsuario' => $IdUsuario
		);

		//validar si existe el registro en la base de datos
		$resultado = $this->Vehiculos_Model->saveColores($data);
		
		if($resultado)
		{   
			$this->Bitacora_Model->saveBitacora($datob);
			print_r(json_encode(array("res"=>"ok","msg"=>"Color creado satisfactoriamente")));
				
		}else{
			
			print_r(json_encode(array("res"=>"bad","msg"=>"Color no se puede crear")));
				
		}    
    }

	//Crear Vehiculos si
    public function updateColores()
    {   
        
        if ($this->session->userdata('iduser')=='') {
            redirect(base_url().'/admin');
        } 

        date_default_timezone_set("America/Bogota");
        setlocale(LC_ALL,"es_CO");

        $meses = array("01","02","03","04","05","06","07","08","09","10","11","12");
        $Date = (date('Y')."-".$meses[date('n')-1]."-".date('d'));  
        $Time = (date('H').":".date('i').":".date('s'));  

        //Cargar Modal
        $this->load->model('Huespedes_Model');
        $this->load->model('Bitacora_Model');

        //Solo los datos validos  
		$Opcion      = $this->input->post('Opcion')==''?null:$this->input->post('Opcion');
		$NombreColor = "'".strval($this->input->post('Color')==''?null:$this->input->post('Color'))."'";
		$CodigoMT    = "'".strval($this->input->post('CodigoC')==''?null:$this->input->post('CodigoC'))."'";
		$IdEstado    = $this->input->post('EstadoC')==''?null:$this->input->post('EstadoC');
		$IdColor     = $this->input->post('ColorId')==''?null:$this->input->post('ColorId');

		$IdUsuario      = $this->session->userdata('iduser');

		//Arreglo Principal
		$data = array('Opcion'      => $Opcion, 
            		  'NombreColor' => $NombreColor, 
					  'CodigoMT'    => $CodigoMT, 
					  'IdEstado'    => $IdEstado, 
					  'IdColor'     => $IdColor);
		
		//Arreglo Bitacora
		$datob = array( 
			'IdEvento ' => '36', 
            'Fecha'     => $Date,
            'Hora'      => $Time, 
            'IdUsuario' => $IdUsuario
		);
        
		$resultado = $this->Vehiculos_Model->updateColores($data);

		if($resultado){   
            $this->Bitacora_Model->saveBitacora($datob);
            print_r(json_encode(array("res"=>"ok","msg"=>"Color actualizado satisfactoriamente")));
        }else{
            print_r(json_encode(array("res"=>"bad","msg"=>"Color no existe")));
        }
    }

	//Eliminar Colores si
    public function deleteColores()
    {            
        if ($this->session->userdata('iduser')=='') {
            redirect(base_url().'/admin');
        } 

        date_default_timezone_set("America/Bogota");
        setlocale(LC_ALL,"es_CO");

        $meses = array("01","02","03","04","05","06","07","08","09","10","11","12");
        $Date = (date('Y')."-".$meses[date('n')-1]."-".date('d'));  
        $Time = (date('H').":".date('i').":".date('s')); 
        
		//Cargar Modelos
		$this->load->model('Vehiculos_Model');
        $this->load->model('Bitacora_Model');
        
        $IdColor = $this->input->post('IdColor')==''?false:$this->input->post('IdColor');
        $IdUsuario = $this->session->userdata('iduser');
        
        //Arreglo Bitacora
		$datab = array( 
			'IdEvento ' => '37', 
            'Fecha'     => $Date,
            'Hora'      => $Time, 
            'IdUsuario' => $IdUsuario
		);

        //Llamar el Procedimiento
        $Respuesta = $this->Vehiculos_Model->deleteColores($IdColor);
        
        if($Respuesta)
        {   
            $this->Bitacora_Model->saveBitacora($datab);
            print_r(json_encode(array("res"=>"ok","msg"=>"Color se inactivo satisfactoriamente")));
             
        }else{
            
            print_r(json_encode(array("res"=>"bad","msg"=>"Color no se puede inactivar")));
              
        }
    }

	//Buscar Marcas 
    public function searchMarcas($offset = 0)
    {
        if ($this->session->userdata('iduser')=='') {
            redirect(base_url().'/admin');
        }

		//Cargar Modelo
        $this->load->model('Vehiculos_Model');

        //capturar datos
        $Opcion   = $this->input->post('Opcion')==''?'null':$this->input->post('Opcion');
        $IdMarca  = $this->input->post('IdMarca')== ''?'null':$this->input->post('IdMarca');
        $Marca    = $this->input->post('Marca')==''?'null':$this->input->post('Marca');
        
        if($Marca != 'null'){
            $Marca = "'".strval($Marca)."'";
        }

       	//Configurndo el array para consulta de Vehiculos
       	$data = array($Opcion,'null','null',$Marca,'null','null',$IdMarca,'null','null'); 
       	$query = $this->Vehiculos_Model->getVehiculosMarca(null,null,$data);

        //retornar los valores
        echo json_encode($query);
        
    }

	//Crear marcas si 
    public function insertMarcas()
    {     
        if ($this->session->userdata('iduser')=='') {
            redirect(base_url().'/admin');
        } 

        date_default_timezone_set("America/Bogota");
        setlocale(LC_ALL,"es_CO");

        $meses = array("01","02","03","04","05","06","07","08","09","10","11","12");
        $Date = (date('Y')."-".$meses[date('n')-1]."-".date('d'));  
        $Time = (date('H').":".date('i').":".date('s'));  

		//Cargar Modal
        $this->load->model('Vehiculos_Model');
        $this->load->model('Bitacora_Model');
        
        //Solo los datos validos  
		$Opcion   = $this->input->post('Opcion')==''?null:$this->input->post('Opcion');
		$Marca    = "'".strval($this->input->post('Marca')==''?null:$this->input->post('Marca'))."'";
		$CodigoMT = "'".strval($this->input->post('CodigoM')==''?null:$this->input->post('CodigoM'))."'";
		$IdEstado = $this->input->post('EstadoM')==''?null:$this->input->post('EstadoM');
		
		$IdUsuario = $this->session->userdata('iduser');

		//Armar Arreglo
		$data = array('Opcion'   => $Opcion, 
            		  'Marca'    => $Marca, 
					  'CodigoMT' => $CodigoMT, 
					  'IdEstado' => $IdEstado);

		//Arreglo Bitacora
		$datob = array( 
			'IdEvento ' => '38', 
            'Fecha'     => $Date,
            'Hora'      => $Time, 
            'IdUsuario' => $IdUsuario
		);

		//validar si existe el registro en la base de datos
		$resultado = $this->Vehiculos_Model->saveMarcas($data);
		
		if($resultado)
		{   
			$this->Bitacora_Model->saveBitacora($datob);
			print_r(json_encode(array("res"=>"ok","msg"=>"Marca creada satisfactoriamente")));
				
		}else{
			
			print_r(json_encode(array("res"=>"bad","msg"=>"La marca no se puede crear")));
				
		}    
    }

	//Crear Vehiculos
    public function updateMarcas()
    {     
        if ($this->session->userdata('iduser')=='') {
            redirect(base_url().'/admin');
        } 

        date_default_timezone_set("America/Bogota");
        setlocale(LC_ALL,"es_CO");

        $meses = array("01","02","03","04","05","06","07","08","09","10","11","12");
        $Date = (date('Y')."-".$meses[date('n')-1]."-".date('d'));  
        $Time = (date('H').":".date('i').":".date('s'));  

        //Cargar Modal
        $this->load->model('Vehiculos_Model');
        $this->load->model('Bitacora_Model');

        //Solo los datos validos  
		$Opcion   = $this->input->post('Opcion')==''?null:$this->input->post('Opcion');
		$Marca    = "'".strval($this->input->post('Marca')==''?null:$this->input->post('Marca'))."'";
		$CodigoMT = "'".strval($this->input->post('CodigoM')==''?null:$this->input->post('CodigoM'))."'";
		$IdEstado = $this->input->post('EstadoM')==''?null:$this->input->post('EstadoM');
		$IdMarca  = $this->input->post('MarcaId')==''?null:$this->input->post('MarcaId');

		$IdUsuario = $this->session->userdata('iduser');

		//Arreglo Principal
		$data = array('Opcion'   => $Opcion, 
            		  'Marca'    => $Marca, 
					  'CodigoMT' => $CodigoMT, 
					  'IdEstado' => $IdEstado, 
					  'IdMarca'  => $IdMarca);
		
		//Arreglo Bitacora
		$datob = array( 
			'IdEvento ' => '39', 
            'Fecha'     => $Date,
            'Hora'      => $Time, 
            'IdUsuario' => $IdUsuario
		);
        
		$resultado = $this->Vehiculos_Model->updateMarcas($data);

		if($resultado){   
            $this->Bitacora_Model->saveBitacora($datob);
            print_r(json_encode(array("res"=>"ok","msg"=>"Marca actualizada satisfactoriamente")));
        }else{
            print_r(json_encode(array("res"=>"bad","msg"=>"Marca no existe")));
        }
    }

	//Eliminar Marcas
    public function deleteMarcas()
    {            
        if ($this->session->userdata('iduser')=='') {
            redirect(base_url().'/admin');
        } 

        date_default_timezone_set("America/Bogota");
        setlocale(LC_ALL,"es_CO");

        $meses = array("01","02","03","04","05","06","07","08","09","10","11","12");
        $Date = (date('Y')."-".$meses[date('n')-1]."-".date('d'));  
        $Time = (date('H').":".date('i').":".date('s')); 
        
		//Cargar Modelos
		$this->load->model('Vehiculos_Model');
        $this->load->model('Bitacora_Model');
        
        $IdMarca = $this->input->post('IdMarca')==''?false:$this->input->post('IdMarca');
        $IdUsuario = $this->session->userdata('iduser');
        
        //Arreglo Bitacora
		$datab = array( 
			'IdEvento ' => '40', 
            'Fecha'     => $Date,
            'Hora'      => $Time, 
            'IdUsuario' => $IdUsuario
		);

        //Llamar el Procedimiento
        $Respuesta = $this->Vehiculos_Model->deleteMarcas($IdMarca);
        
        if($Respuesta)
        {   
            $this->Bitacora_Model->saveBitacora($datab);
            print_r(json_encode(array("res"=>"ok","msg"=>"Marca inactivada satisfactoriamente")));
             
        }else{
            
            print_r(json_encode(array("res"=>"bad","msg"=>"La marca no se pudo inactivar")));
              
        }
    }
}
